## gate.jape
Class MutableInteger

    java.lang.Object
      |
      +--gate.jape.MutableInteger

All Implemented Interfaces:
  Serializable

public class MutableInteger
extends Object
implements Serializable

A mutable wrapper for int, so you can return integer values via a method parameter. If public data members bother you I suggest you get a hobby, or have more sex or something.

See Also:
  Serialized Form

Field Summary
`private static boolean` `DEBUG` Debug flag
`int` `value`

Constructor Summary
`MutableInteger()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

### value

    public int value

Constructor Detail

### MutableInteger

    public MutableInteger()